e TB Manager Bangladesh - Bug #974

Prevent user of double-click on save button
11/28/2013 07:26 AM - Ricardo Memoria

Status: Closed Start date: 11/28/2013
Priority: Normal Due date:

Assignee: Mauricio Dos Santos % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Version 2.1 Spent time: 0.00 hour
Description

In all forms in the case management module, check if the "save" or "ok" button are protected against user double-clicking on that.
For example, case edit page, if the user double clicks on the save button, an error happens in the server side:

org. jboss.seam.RequiredException

@In attribute requires non-null value: caseBDHome.caseHome

org. jboss.seam.RequiredException: @In attribute requires non-null value: caseBDHome.caseHome

at org.jboss.seam.Component.getValueToInject (Component.java:2361)

at org.jboss.seam.Component.injectAttributes (Component.java:1739)

at org.jboss.seam.Component.inject (Component.java:1557)

at org.jboss.seam.core.BijectionInterceptor.aroundInvoke (BijectionInterceptor.java:61)

at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext. java:68)
at org.jboss.seam.transaction.TransactionInterceptor$l.work (TransactionInterceptor.java:97)

Solution:
Check all forms and for all command button, implement the java script bellow:
Save button:

onclick="1if (!disableButton(this)) return false;"

Cancel button

onclick="disableButton (this)"

History

#1 - 12/12/2013 03:23 PM - Mauricio Dos Santos

- Status changed from New to In Progress

#2 - 12/13/2013 12:09 PM - Mauricio Dos Santos

- Status changed from In Progress to Resolved

#3 - 12/17/2013 04:48 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Closed

Tested and adequate.
